#! /bin/sh # # $Id: commitcheck,v 1.6 1997/05/21 15:58:59 peter Exp $ # # BEWARE: If you are "borrowing" this code for use on another cvs # repository, please make sure you change all references to '@FreeBSD.org' # in the log_accum script. Otherwise your commit messages will be sent # to 'cvs-committers@freebsd.org' etc. This could be highly embarresing. :-) # case "`hostname | tr A-Z a-z`" in freefall.freebsd.org) : ;; *) echo "Please commit on freefall...." exit 1 esac # # Ensure the minimum version of cvs is installed. # VERS=`/usr/bin/cvs -v | awk '$1 == "Concurrent" { print $5 }' | awk -F. '{printf "%d%02d%02d\n",$1,$2,$3}'` if [ "x${VERS}" = "x" -o ${VERS} -lt 10909 ]; then echo "The wrong version of CVS is installed!" 1>&2 exit 1 fi # # Does the access control list allow them commit access? # if $CVSROOT/CVSROOT/cvs_acls.pl ${1+"$@"} then : # OK else echo "Access control checks failed! (cvs_acls.pl)" 1>&2 exit 1 fi # # Last minute checks and preperations for log_accum.pl later. This # records the last directory in this commit so that log_accum knows when # to finish coalescing commit messages and mail it. # if $CVSROOT/CVSROOT/commit_prep.pl ${1+"$@"} then : # OK else echo "commit_prep.pl failed!" 1>&2 exit 1 fi exit 0 # Lets do it! en' name='id' value='ea9b6d52b94d6aa985d3c3d0fff3bf81943b3946'/> FreeBSD GNOME current development ports (https://github.com/freebsd/freebsd-ports-gnome)
aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xdialog
Commit message (Expand)AuthorAgeFilesLines
* Bump portrevision due to upgrade of devel/gettext.edwin2008-06-061-1/+1
* - Remove USE_XLIB/USE_X_PREFIX/USE_XPM in favor of USE_XORGmiwi2008-03-241-2/+1
* - Remove USE_GETOPT_LONG which is a no-op since March 2007pav2008-03-201-1/+0
* - Add MASTER_SITES.chinsan2008-03-021-1/+2
* - Welcome X.org 7.2 \o/.flz2007-05-201-1/+1
* - Add samples & correct manualchinsan2006-12-022-1/+42
* Change the following ports to my FreeBSD.org email.chinsan2006-10-031-1/+1
* - Update to 2.3.1rafan2006-09-062-5/+5
* Update to 2.2.1.lawrance2006-05-142-5/+4
* Bump PORTREVISION on glib12/gtk12 consumer ports to ease the upgrade path.ade2006-03-071-0/+1
* - Update to 2.2.0mnag2006-02-222-6/+5
* Replace ugly "@unexec rmdir %D... 2>/dev/null || true" with @dirrmtryedwin2006-01-221-4/+4
* - Add SHA256pav2005-11-261-0/+1
* Clean up handling of locale directories at deinstall-time:kris2004-12-161-0/+4
* Update to version 2.1.2krion2004-07-263-15/+34
* Bump PORTREVISION on all ports that depend on gettext to aid with upgrading.marcus2004-02-041-0/+1
* SIZEify.trevor2004-01-301-0/+1
* - Use canonical form (ports@FreeBSD.org) in MAINTAINER linesergei2003-12-211-1/+1
* Update to 2.1.1.petef2003-05-196-37/+12
* Remove USE_GNOMENG.marcus2003-04-211-1/+0
* De-pkg-comment.knu2003-02-212-1/+1
* o Rollback PORTCOMMENT modifications while this feature's implementationlioux2002-11-112-2/+1